@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700&display=swap');

:root {
    --font-base: 'Open Sans', sans-rerif;
    --purple: #6471D0;
    --grey: #EAECEF;
    --shadow: 0 16px 16px -1px rgba(10, 22, 70, 0.10);
}

* {
    outline: none;
}

*, *::after, *::before {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;
}

body {
    background-color: #F8F9FA;
    height: 95vh;
}

html, body {
    font-family: var(--font-base);
    letter-spacing: 0.5px;
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    vertical-align: baseline;
}

.landing-page {
    min-height: 93.5vh;
    background-color: #FFF;
    border-radius: 50px 0 50px 50px;
    box-shadow: var(--shadow);
    margin: 2rem;

    @media only screen and (max-width: 32rem) {
        margin: 1rem;
    }

    .landing-page__logo {
        width: 300px;
        height: 120px;
        max-width: 300px;
        max-height: 120px;
        background-image: url('https://balencio-landing.s3.eu-central-1.amazonaws.com/balencio-accent.svg');
        background-position: center 50%;
        background-repeat: no-repeat;
        background-size: contain;
        margin: 0 auto;

        @media only screen and (max-width: 32rem) {
            width: 260px;
            height: 100px;
            max-width: 260px;
            max-height: 100px;
        }
    }

    .landing-page__content {
        width: calc(60% - 2rem);
        background-color: #FFF;
        border: 1px solid var(--grey);
        border-radius: 30px 0 30px 30px;
        padding: 35px 10vw 35px 10vw;
        min-width: 180px;
        margin: auto;

        @media only screen and (max-width: 64rem) {
            width: calc(100% - 4rem);
        }

        @media only screen and (max-width: 48rem) {
            border: none;
            transform: translateY(25%);
        }

        @media only screen and (max-width: 32rem) {
            width: calc(100% - 2rem);
        }

        .landing-page__illustration {
            margin: 0 auto 30px auto;
            width: 80%;
            height: 80%;

            @media only screen and (max-width: 32rem) {
                width: 100%;
                height: 100%;
            }
        }

        .landing-page__button {
            width: fit-content;
            font-size: 20px;
            font-weight: 700;
            text-align: center;
            color: #FFF;
            background-color: var(--purple);
            border-radius: 8px;
            padding: 0.5rem 1rem;
            margin: 0 auto;
            transition: all ease 0.3s;

            @media only screen and (max-width: 32rem) {
                font-size: 14px;
            }
        }

        .landing-page__button:hover {
            cursor: pointer;
            transform: scale(1.05);
            transition: all ease 0.3s;
        }
    }
}
